#
# spec file for package perl-Email-Find (Version 0.10)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Email-Find
Version:        0.10
Release:        pm152.2.2
License:        GPL+ or Artistic
%define cpan_name Email-Find
Summary:        Find RFC 822 email addresses in plain text
Url:            http://search.cpan.org/dist/Email-Find/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
#BuildRequires:  perl-macros
BuildRequires:  perl(Email::Valid) >= 0.179
BuildRequires:  perl(Mail::Address)
Requires:       perl(Email::Valid) >= 0.179
Requires:       perl(Mail::Address)
%{perl_requires}

%description
Email::Find is a module for finding a _subset_ of RFC 822 email addresses
in arbitrary text (see the /"CAVEATS" manpage). The addresses it finds are
not guaranteed to exist or even actually be email addresses at all (see the
/"CAVEATS" manpage), but they will be valid RFC 822 syntax.

Email::Find will perform some heuristics to avoid some of the more obvious
red herrings and false addresses, but there's only so much which can be
done without a human.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Apr 29 2011 coolo@opensuse.org
- regenerate with cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sat Jan  2 2010 jfunk@funktronics.ca
- Updatte to 0.10
  * Bumped up Email::Valid requirement to 0.179, and update the
    tests to skip some invalid email addresses.
* Tue Jun 20 2006 James Oakley <jfunk@funktronics.ca> - 0.09-4
- Build under build service
* Fri Nov 11 2005 James Oakley <jfunk@funktronics.ca> - 0.09-ft.3
- Build for SL10
* Thu May 12 2005 James Oakley <jfunk@funktronics.ca> - 0.09-ft.2
- Build for SL93
* Fri Nov 19 2004 James Oakley <jfunk@funktronics.ca> - 0.09-ft.1
- Build for SL92
